1. Packages
  2. Packages
  3. Proxmox Virtual Environment (Proxmox VE)
  4. API Docs
  5. metrics
  6. getServerLegacy
Viewing docs for Proxmox Virtual Environment (Proxmox VE) v8.2.1
published on Wednesday, May 20, 2026 by Daniel Muehlbachler-Pietrzykowski
proxmoxve logo
Viewing docs for Proxmox Virtual Environment (Proxmox VE) v8.2.1
published on Wednesday, May 20, 2026 by Daniel Muehlbachler-Pietrzykowski

    Deprecated: Use proxmoxve.metrics.Server instead. This data source will be removed in v1.0.

    Retrieves information about a specific PVE metric server.

    Example Usage

    import * as pulumi from "@pulumi/pulumi";
    import * as proxmoxve from "@muhlba91/pulumi-proxmoxve";
    
    const example = proxmoxve.metrics.getServerLegacy({
        name: "example_influxdb",
    });
    export const dataProxmoxVirtualEnvironmentMetricsServer = {
        server: example.then(example => example.server),
        port: example.then(example => example.port),
    };
    
    import pulumi
    import pulumi_proxmoxve as proxmoxve
    
    example = proxmoxve.metrics.get_server_legacy(name="example_influxdb")
    pulumi.export("dataProxmoxVirtualEnvironmentMetricsServer", {
        "server": example.server,
        "port": example.port,
    })
    
    package main
    
    import (
    	"github.com/muhlba91/pulumi-proxmoxve/sdk/v8/go/proxmoxve/metrics"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		example, err := metrics.LookupServerLegacy(ctx, &metrics.LookupServerLegacyArgs{
    			Name: "example_influxdb",
    		}, nil)
    		if err != nil {
    			return err
    		}
    		ctx.Export("dataProxmoxVirtualEnvironmentMetricsServer", pulumi.Map{
    			"server": example.Server,
    			"port":   example.Port,
    		})
    		return nil
    	})
    }
    
    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using ProxmoxVE = Pulumi.ProxmoxVE;
    
    return await Deployment.RunAsync(() => 
    {
        var example = ProxmoxVE.Metrics.GetServerLegacy.Invoke(new()
        {
            Name = "example_influxdb",
        });
    
        return new Dictionary<string, object?>
        {
            ["dataProxmoxVirtualEnvironmentMetricsServer"] = 
            {
                { "server", example.Apply(getServerLegacyResult => getServerLegacyResult.Server) },
                { "port", example.Apply(getServerLegacyResult => getServerLegacyResult.Port) },
            },
        };
    });
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.proxmoxve.metrics.MetricsFunctions;
    import com.pulumi.proxmoxve.metrics.inputs.GetServerLegacyArgs;
    import java.util.ArrayList;
    import java.util.Arrays;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            final var example = MetricsFunctions.getServerLegacy(GetServerLegacyArgs.builder()
                .name("example_influxdb")
                .build());
    
            ctx.export("dataProxmoxVirtualEnvironmentMetricsServer", Map.ofEntries(
                Map.entry("server", example.server()),
                Map.entry("port", example.port())
            ));
        }
    }
    
    variables:
      example:
        fn::invoke:
          function: proxmoxve:metrics:getServerLegacy
          arguments:
            name: example_influxdb
    outputs:
      dataProxmoxVirtualEnvironmentMetricsServer:
        server: ${example.server}
        port: ${example.port}
    
    Example coming soon!
    

    Using getServerLegacy

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getServerLegacy(args: GetServerLegacyArgs, opts?: InvokeOptions): Promise<GetServerLegacyResult>
    function getServerLegacyOutput(args: GetServerLegacyOutputArgs, opts?: InvokeOptions): Output<GetServerLegacyResult>
    def get_server_legacy(name: Optional[str] = None,
                          opts: Optional[InvokeOptions] = None) -> GetServerLegacyResult
    def get_server_legacy_output(name: pulumi.Input[Optional[str]] = None,
                          opts: Optional[InvokeOptions] = None) -> Output[GetServerLegacyResult]
    func LookupServerLegacy(ctx *Context, args *LookupServerLegacyArgs, opts ...InvokeOption) (*LookupServerLegacyResult, error)
    func LookupServerLegacyOutput(ctx *Context, args *LookupServerLegacyOutputArgs, opts ...InvokeOption) LookupServerLegacyResultOutput

    > Note: This function is named LookupServerLegacy in the Go SDK.

    public static class GetServerLegacy 
    {
        public static Task<GetServerLegacyResult> InvokeAsync(GetServerLegacyArgs args, InvokeOptions? opts = null)
        public static Output<GetServerLegacyResult> Invoke(GetServerLegacyInvokeArgs args, InvokeOptions? opts = null)
    }
    public static CompletableFuture<GetServerLegacyResult> getServerLegacy(GetServerLegacyArgs args, InvokeOptions options)
    public static Output<GetServerLegacyResult> getServerLegacy(GetServerLegacyArgs args, InvokeOptions options)
    
    fn::invoke:
      function: proxmoxve:metrics/getServerLegacy:getServerLegacy
      arguments:
        # arguments dictionary
    data "proxmoxve_metrics_getserverlegacy" "name" {
        # arguments
    }

    The following arguments are supported:

    Name string
    Unique name that will be ID of this metric server in PVE.
    Name string
    Unique name that will be ID of this metric server in PVE.
    name string
    Unique name that will be ID of this metric server in PVE.
    name String
    Unique name that will be ID of this metric server in PVE.
    name string
    Unique name that will be ID of this metric server in PVE.
    name str
    Unique name that will be ID of this metric server in PVE.
    name String
    Unique name that will be ID of this metric server in PVE.

    getServerLegacy Result

    The following output properties are available:

    Disable bool
    Indicates if the metric server is disabled.
    Id string
    The unique identifier of this resource.
    Name string
    Unique name that will be ID of this metric server in PVE.
    OpentelemetryCompression string
    OpenTelemetry compression algorithm for requests.
    OpentelemetryHeaders string
    OpenTelemetry custom HTTP headers as JSON, base64 encoded.
    OpentelemetryMaxBodySize int
    OpenTelemetry maximum request body size in bytes.
    OpentelemetryPath string
    OpenTelemetry endpoint path (e.g., /v1/metrics).
    OpentelemetryProto string
    Protocol for OpenTelemetry. Choice is between http | https.
    OpentelemetryResourceAttributes string
    OpenTelemetry additional resource attributes as JSON, base64 encoded.
    OpentelemetryTimeout int
    OpenTelemetry HTTP request timeout in seconds.
    OpentelemetryVerifySsl bool
    OpenTelemetry verify SSL certificates.
    Port int
    Server network port.
    Server string
    Server dns name or IP address.
    Type string
    Plugin type. Either graphite, influxdb, or opentelemetry.
    Disable bool
    Indicates if the metric server is disabled.
    Id string
    The unique identifier of this resource.
    Name string
    Unique name that will be ID of this metric server in PVE.
    OpentelemetryCompression string
    OpenTelemetry compression algorithm for requests.
    OpentelemetryHeaders string
    OpenTelemetry custom HTTP headers as JSON, base64 encoded.
    OpentelemetryMaxBodySize int
    OpenTelemetry maximum request body size in bytes.
    OpentelemetryPath string
    OpenTelemetry endpoint path (e.g., /v1/metrics).
    OpentelemetryProto string
    Protocol for OpenTelemetry. Choice is between http | https.
    OpentelemetryResourceAttributes string
    OpenTelemetry additional resource attributes as JSON, base64 encoded.
    OpentelemetryTimeout int
    OpenTelemetry HTTP request timeout in seconds.
    OpentelemetryVerifySsl bool
    OpenTelemetry verify SSL certificates.
    Port int
    Server network port.
    Server string
    Server dns name or IP address.
    Type string
    Plugin type. Either graphite, influxdb, or opentelemetry.
    disable bool
    Indicates if the metric server is disabled.
    id string
    The unique identifier of this resource.
    name string
    Unique name that will be ID of this metric server in PVE.
    opentelemetry_compression string
    OpenTelemetry compression algorithm for requests.
    opentelemetry_headers string
    OpenTelemetry custom HTTP headers as JSON, base64 encoded.
    opentelemetry_max_body_size number
    OpenTelemetry maximum request body size in bytes.
    opentelemetry_path string
    OpenTelemetry endpoint path (e.g., /v1/metrics).
    opentelemetry_proto string
    Protocol for OpenTelemetry. Choice is between http | https.
    opentelemetry_resource_attributes string
    OpenTelemetry additional resource attributes as JSON, base64 encoded.
    opentelemetry_timeout number
    OpenTelemetry HTTP request timeout in seconds.
    opentelemetry_verify_ssl bool
    OpenTelemetry verify SSL certificates.
    port number
    Server network port.
    server string
    Server dns name or IP address.
    type string
    Plugin type. Either graphite, influxdb, or opentelemetry.
    disable Boolean
    Indicates if the metric server is disabled.
    id String
    The unique identifier of this resource.
    name String
    Unique name that will be ID of this metric server in PVE.
    opentelemetryCompression String
    OpenTelemetry compression algorithm for requests.
    opentelemetryHeaders String
    OpenTelemetry custom HTTP headers as JSON, base64 encoded.
    opentelemetryMaxBodySize Integer
    OpenTelemetry maximum request body size in bytes.
    opentelemetryPath String
    OpenTelemetry endpoint path (e.g., /v1/metrics).
    opentelemetryProto String
    Protocol for OpenTelemetry. Choice is between http | https.
    opentelemetryResourceAttributes String
    OpenTelemetry additional resource attributes as JSON, base64 encoded.
    opentelemetryTimeout Integer
    OpenTelemetry HTTP request timeout in seconds.
    opentelemetryVerifySsl Boolean
    OpenTelemetry verify SSL certificates.
    port Integer
    Server network port.
    server String
    Server dns name or IP address.
    type String
    Plugin type. Either graphite, influxdb, or opentelemetry.
    disable boolean
    Indicates if the metric server is disabled.
    id string
    The unique identifier of this resource.
    name string
    Unique name that will be ID of this metric server in PVE.
    opentelemetryCompression string
    OpenTelemetry compression algorithm for requests.
    opentelemetryHeaders string
    OpenTelemetry custom HTTP headers as JSON, base64 encoded.
    opentelemetryMaxBodySize number
    OpenTelemetry maximum request body size in bytes.
    opentelemetryPath string
    OpenTelemetry endpoint path (e.g., /v1/metrics).
    opentelemetryProto string
    Protocol for OpenTelemetry. Choice is between http | https.
    opentelemetryResourceAttributes string
    OpenTelemetry additional resource attributes as JSON, base64 encoded.
    opentelemetryTimeout number
    OpenTelemetry HTTP request timeout in seconds.
    opentelemetryVerifySsl boolean
    OpenTelemetry verify SSL certificates.
    port number
    Server network port.
    server string
    Server dns name or IP address.
    type string
    Plugin type. Either graphite, influxdb, or opentelemetry.
    disable bool
    Indicates if the metric server is disabled.
    id str
    The unique identifier of this resource.
    name str
    Unique name that will be ID of this metric server in PVE.
    opentelemetry_compression str
    OpenTelemetry compression algorithm for requests.
    opentelemetry_headers str
    OpenTelemetry custom HTTP headers as JSON, base64 encoded.
    opentelemetry_max_body_size int
    OpenTelemetry maximum request body size in bytes.
    opentelemetry_path str
    OpenTelemetry endpoint path (e.g., /v1/metrics).
    opentelemetry_proto str
    Protocol for OpenTelemetry. Choice is between http | https.
    opentelemetry_resource_attributes str
    OpenTelemetry additional resource attributes as JSON, base64 encoded.
    opentelemetry_timeout int
    OpenTelemetry HTTP request timeout in seconds.
    opentelemetry_verify_ssl bool
    OpenTelemetry verify SSL certificates.
    port int
    Server network port.
    server str
    Server dns name or IP address.
    type str
    Plugin type. Either graphite, influxdb, or opentelemetry.
    disable Boolean
    Indicates if the metric server is disabled.
    id String
    The unique identifier of this resource.
    name String
    Unique name that will be ID of this metric server in PVE.
    opentelemetryCompression String
    OpenTelemetry compression algorithm for requests.
    opentelemetryHeaders String
    OpenTelemetry custom HTTP headers as JSON, base64 encoded.
    opentelemetryMaxBodySize Number
    OpenTelemetry maximum request body size in bytes.
    opentelemetryPath String
    OpenTelemetry endpoint path (e.g., /v1/metrics).
    opentelemetryProto String
    Protocol for OpenTelemetry. Choice is between http | https.
    opentelemetryResourceAttributes String
    OpenTelemetry additional resource attributes as JSON, base64 encoded.
    opentelemetryTimeout Number
    OpenTelemetry HTTP request timeout in seconds.
    opentelemetryVerifySsl Boolean
    OpenTelemetry verify SSL certificates.
    port Number
    Server network port.
    server String
    Server dns name or IP address.
    type String
    Plugin type. Either graphite, influxdb, or opentelemetry.

    Package Details

    Repository
    proxmoxve muhlba91/pulumi-proxmoxve
    License
    Apache-2.0
    Notes
    This Pulumi package is based on the proxmox Terraform Provider.
    proxmoxve logo
    Viewing docs for Proxmox Virtual Environment (Proxmox VE) v8.2.1
    published on Wednesday, May 20, 2026 by Daniel Muehlbachler-Pietrzykowski
      Try Pulumi Cloud free. Your team will thank you.